Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.stmt.oracle
Class TPlsqlStmt

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.TCustomSqlStatement
              gudusoft.gsqlparser.stmt.oracle.TPlsqlStmt

All Implemented Interfaces:
  Visitable

Direct Known Subclasses:
  TPlsqlAssignStmt, TPlsqlBasicStmt, TPlsqlCaseStmt, TPlsqlCloseStmt, TPlsqlCreateType, TPlsqlCreateType_Placeholder, TPlsqlCursorDeclStmt, TPlsqlDummyStmt, TPlsqlElsifStmt, TPlsqlExitStmt, TPlsqlFetchStmt, TPlsqlForallStmt, TPlsqlGotoStmt, TPlsqlIfStmt, TPlsqlNullStmt, TPlsqlOpenforStmt, TPlsqlOpenStmt, TPlsqlPipeRowStmt, TPlsqlPragmaDeclStmt, TPlsqlProcedureSpecStmt, TPlsqlRaiseStmt, TPlsqlRecordTypeDefStmt, TPlsqlReturnStmt, TPlsqlSqlStmt, TPlsqlStatement, TPlsqlSubProgram, TPlsqlTableTypeDefStmt, TPlsqlVarDeclStmt, TPlsqlVarrayTypeDefStmt

    public class TPlsqlStmt

extends TCustomSqlStatement

Field Summary

Fields inherited from class gudusoft.gsqlparser.TCustomSqlStatement
`dbvendor, dummytag, joins, parser, plsqlparser, rootNode, sourcetokenlist, sqlstatementtype, tables`

Constructor Summary
`TPlsqlStmt()`
`TPlsqlStmt(EDbVendor dbvendor)`

Method Summary
`TObjectName` | `getEndlabelName()`
`TObjectName` | `getLabelName()`
`void` | `setEndlabelName(TObjectName endlabelName)`
`void` | `setLabelName(TObjectName labelName)`

Methods inherited from class gudusoft.gsqlparser.TCustomSqlStatement
`addWhereClause, analyzeFromTable, analyzeJoin, analyzeTablename, checkNonQualifiedColumnReferenceInSubQueryOfUplevelStmt, doParseStatement, getCteList, getErrorCount, getOutputClause, getParentStmt, getResultColumnList, getReturningClause, getStatements, getSymbolTable, getTargetTable, getTopClause, getTopStatement, getWhereClause, isnzplsql, isoracleplsql, ispgplsql, linkColumnReferenceToTable, locateVariableOrParameter, OracleStatementCanBeSeparatedByBeginEndPair, parsestatement, setCteList, setOutputClause, setParentStmt, setResultColumnList, setReturningClause, setTargetTable, setTopClause, setWhereClause`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`accept, addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TPlsqlStmt

    public TPlsqlStmt()

### TPlsqlStmt

    public TPlsqlStmt(EDbVendor dbvendor)

Method Detail

### setLabelName

    public void setLabelName(TObjectName labelName)

  Overrides:
    `setLabelName` in class `TCustomSqlStatement`

### getLabelName

    public TObjectName getLabelName()

  Overrides:
    `getLabelName` in class `TCustomSqlStatement`
  Returns:
    label name used in plsql statement.

### setEndlabelName

    public void setEndlabelName(TObjectName endlabelName)

### getEndlabelName

    public TObjectName getEndlabelName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD